What are the system requirements for MetaTrader 4

The Client Terminal can operate using all Microsoft Windows operating systems from XP onwards. We recommend that you use the most recent version of Microsoft Windows when operating your MT 4 account. Furthermore, a processor that supports SSE instruction is required for operating as well.